Subject: Re: bug#1509: 23.0.60; recover-file

From: Daiki Ueno <[email-masked]>
Date: Wed, 10 Dec 2008 10:49:03 +0900

>>>>> In <[email-masked]> 
>>>>>	Glenn Morris <[email-masked]> wrote:
GM> > It seems that M-x recover-file fails to make the buffer as modified.

GM> It works as it should if you remove epa-file-find-file-hook from
GM> find-file-hook.

GM> recover-file calls after-find-file which runs find-file-hook.

Thanks for pointing out this.  I've just installed a fix, which adjusts
modtime in epa-file's insert-file-contents handler instead of
find-file-hook.

GM> epa-file-find-file-hook marks any non-epa files as unmodified for some
GM> reason.

Perhaps this is the appropriate bug report (preceded by "Finally,
buffer..."): http://article.gmane.org/gmane.emacs.gnus.general/64734

Regards,
-- 
Daiki Ueno